### Method

# EDataBook BookSqlite cursor_compare_contact

since: 3.12

#### Declaration [src]

    gint
    e_book_sqlite_cursor_compare_contact (
      EBookSqlite* ebsql,
      EbSqlCursor* cursor,
      EContact* contact,
      gboolean* matches_sexp
    )

#### Description [src]

Compares `contact` with `cursor` and returns whether `contact` is less than, equal to, or greater than `cursor`.

Available since: 3.12

This method is not directly available to language bindings.

#### Parameters

`cursor`

  Type: `EbSqlCursor`

  The `EbSqlCursor`.

  The data is owned by the caller of the method.

`contact`

  Type: `EContact`

  The `EContact` to compare.

  The data is owned by the caller of the method.

`matches_sexp`

  Type: `gboolean*`

  Whether the contact matches the cursor’s search expression.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gint`

A value that is less than, equal to, or greater than zero if `contact` is found, respectively, to be less than, to match, or be greater than the current value of `cursor`.